Redmine - Feature #4811

Track changes to issue descriptions like wiki content
2010-02-11 20:21 - Randy Syring

Status: Closed Start date: 2010-02-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

It would be nice if Redmine would treat issue descriptions like wiki content by tracking the changes to the description. This would
add a "history" icon to the issues actions just like a wiki page. The "History" page for the issue description would look and function
just like a wiki page's History. The only difference | see is that the content of the "comment" field in the issue description history
would come from the comment that was submitted when the description was modified. It would truncate after the first 250 characters
or so and give an icon after the text of the comment that would link back to the issue with a fragment linking to that particular
comment.

Related issues:
Is duplicate of Redmine - Feature #746: Versioned issue descriptions Closed 2008-02-27

History

#1 - 2010-02-16 16:31 - Reach Everywhere

| have been using this patch through 0.8.7: http:/www.redmine.org/issues/show/1717

It is a big pain to add in every time we want to upgrade and I'm not even sure it will work with 0.9. It would work better (such as the history button
described above) and track changes on notes as well.

+1 on getting something in the main project.

#2 - 2011-01-26 10:49 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

2025-08-23 1/1



http://www.redmine.org/issues/show/1717
http://www.tcpdf.org

